## git-annex 6.20171124

=== Makefile ===
all=git-annex git-annex-shell mans docs

# set to "./Setup" if you lack a cabal program. Or can be set to "stack"
BUILDER?=cabal
ifeq ($(BUILDER),stack)
GHC?=stack ghc --
else
GHC?=ghc
endif

PREFIX?=/usr
SHAREDIR?=share

# Am I typing :make in vim? Do a fast build.
ifdef VIM
all=fast
endif

build: $(all)

tmp/configure-stamp: Build/TestConfig.hs Build/Configure.hs
	if [ "$(BUILDER)" = ./Setup ]; then ghc --make Setup; fi
	if [ "$(BUILDER)" != stack ]; then \
		$(BUILDER) configure --ghc-options="$(shell Build/collect-ghc-options.sh)"; \
	else \
		$(BUILDER) setup; \
	fi
	mkdir -p tmp
	touch tmp/configure-stamp

git-annex: tmp/configure-stamp
	$(BUILDER) build $(BUILDEROPTIONS)
	if [ "$(BUILDER)" = stack ]; then \
		ln -sf $$(stack path --dist-dir)/build/git-annex/git-annex git-annex; \
	else \
		ln -sf dist/build/git-annex/git-annex git-annex; \
	fi
# Work around https://github.com/haskell/cabal/issues/3524
# when not linked dynamically to haskell libs
	@if ! ldd git-annex | grep -q libHS; then \
		chrpath -d git-annex || echo "** unable to chrpath git-annex; it will be a little bit slower than necessary"; \
	fi

git-annex-shell: git-annex
	ln -sf git-annex git-annex-shell

# These are not built normally.
git-union-merge.1: doc/git-union-merge.mdwn
	./Build/mdwn2man git-union-merge 1 doc/git-union-merge.mdwn > git-union-merge.1
git-union-merge:
	$(GHC) --make -threaded $@

install-mans: mans
	install -d $(DESTDIR)$(PREFIX)/$(SHAREDIR)/man/man1
	install -m 0644 man/*.1 $(DESTDIR)$(PREFIX)/$(SHAREDIR)/man/man1

install-docs: docs install-mans
	install -d $(DESTDIR)$(PREFIX)/$(SHAREDIR)/doc/git-annex
	if [ -d html ]; then \
		rsync -a --delete html/ $(DESTDIR)$(PREFIX)/$(SHAREDIR)/doc/git-annex/html/; \
	fi

install-bins: build
	install -d $(DESTDIR)$(PREFIX)/bin
	install git-annex $(DESTDIR)$(PREFIX)/bin
	ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-annex-shell
	ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-remote-tor-annex

install-misc: build Build/InstallDesktopFile
	./Build/InstallDesktopFile $(PREFIX)/bin/git-annex || true
	install -d $(DESTDIR)$(PREFIX)/$(SHAREDIR)/bash-completion/completions
	install -m 0644 bash-completion.bash $(DESTDIR)$(PREFIX)/$(SHAREDIR)/bash-completion/completions/git-annex
	install -d $(DESTDIR)$(PREFIX)/$(SHAREDIR)/zsh/vendor-completions
	@./git-annex --zsh-completion-script git-annex 2>/dev/null > $(DESTDIR)$(PREFIX)/$(SHAREDIR)/zsh/vendor-completions/_git-annex || \
		echo "** zsh completions not installed; built with too old version of optparse-applicative"
	install -d $(DESTDIR)$(PREFIX)/$(SHAREDIR)/fish/completions
	@./git-annex --fish-completion-script git-annex 2>/dev/null > $(DESTDIR)$(PREFIX)/$(SHAREDIR)/fish/completions/git-annex.fish || \
		echo "** fish completions not installed; built with too old version of optparse-applicative"

install: install-bins install-docs install-misc

test: git-annex git-annex-shell
	./git-annex test

retest: git-annex
	./git-annex test --rerun-update --rerun-filter failures

# hothasktags chokes on some template haskell etc, so ignore errors
tags:
	(for f in $$(find . | grep -v /.git/ | grep -v /tmp/ | grep -v /dist/ | grep -v /doc/ | egrep '\.hs$$'); do hothasktags -c --cpp -c -traditional -c --include=dist/build/autogen/cabal_macros.h $$f; done) 2>/dev/null | sort > tags

mans: Build/MakeMans
	./Build/MakeMans

# If ikiwiki is available, build static html docs suitable for being
# shipped in the software package.
docs: mans
	@if [ -n "`which ikiwiki`" ]; then \
		LC_ALL=C TZ=UTC ikiwiki doc html -v --wikiname git-annex \
			--plugin=goodstuff \
			--no-usedirs --disable-plugin=openid --plugin=sidebar \
			--plugin theme --set theme=actiontabs --set deterministic=1 \
			--disable-plugin=shortcut --disable-plugin=smiley \
			--plugin=comments --set comments_pagespec="*" \
			--exclude='ikiwiki/*' \
			--exclude='news/.*' --exclude='design/assistant/blog/*' \
			--exclude='bugs/*' --exclude='todo/*' --exclude='forum/*' \
			--exclude='users/*' --exclude='devblog/*' --exclude='thanks'; \
	else \
		echo "** ikiwiki not found, skipping building docs" >&2; \
	fi

clean:
	if [ "$(BUILDER)" != ./Setup ] && [ "$(BUILDER)" != cabal ]; then $(BUILDER) clean; fi
	rm -rf tmp dist git-annex $(mans) configure  *.tix .hpc \
		doc/.ikiwiki html dist tags Build/SysConfig.hs \
		Setup Build/InstallDesktopFile Build/EvilSplicer \
		Build/Standalone Build/OSXMkLibs Build/LinuxMkLibs \
		Build/DistributionUpdate Build/BuildVersion Build/MakeMans \
		git-annex-shell git-union-merge .tasty-rerun-log
	find . -name \*.o -exec rm {} \;
	find . -name \*.hi -exec rm {} \;

Build/InstallDesktopFile: Build/InstallDesktopFile.hs
	$(GHC) --make $@ -Wall -fno-warn-tabs
Build/EvilSplicer: Build/EvilSplicer.hs
	$(GHC) --make $@ -Wall -fno-warn-tabs
Build/Standalone: Build/Standalone.hs tmp/configure-stamp
	$(GHC) --make $@ -Wall -fno-warn-tabs
Build/OSXMkLibs: Build/OSXMkLibs.hs
	$(GHC) --make $@ -Wall -fno-warn-tabs
Build/LinuxMkLibs: Build/LinuxMkLibs.hs
	$(GHC) --make $@ -Wall -fno-warn-tabs
Build/MakeMans: Build/MakeMans.hs
	$(GHC) --make $@ -Wall -fno-warn-tabs

LINUXSTANDALONE_DEST=tmp/git-annex.linux
linuxstandalone: 
	$(MAKE) git-annex Build/Standalone Build/LinuxMkLibs
	rm -rf "$(LINUXSTANDALONE_DEST)"
	mkdir -p tmp
	cp -R standalone/linux/skel "$(LINUXSTANDALONE_DEST)"
	sed -i -e 's/^GIT_ANNEX_PACKAGE_INSTALL=/GIT_ANNEX_PACKAGE_INSTALL=$(GIT_ANNEX_PACKAGE_INSTALL)/' "$(LINUXSTANDALONE_DEST)/runshell"
	
	install -d "$(LINUXSTANDALONE_DEST)/bin"
	cp git-annex "$(LINUXSTANDALONE_DEST)/bin/"
	strip "$(LINUXSTANDALONE_DEST)/bin/git-annex"
	ln -sf git-annex "$(LINUXSTANDALONE_DEST)/bin/git-annex-shell"
	ln -sf git-annex "$(LINUXSTANDALONE_DEST)/bin/git-remote-tor-annex"
	zcat standalone/licences.gz > $(LINUXSTANDALONE_DEST)/LICENSE
	cp doc/logo_16x16.png doc/logo.svg $(LINUXSTANDALONE_DEST)
	cp standalone/trustedkeys.gpg $(LINUXSTANDALONE_DEST)

	./Build/Standalone "$(LINUXSTANDALONE_DEST)"
	
	install -d "$(LINUXSTANDALONE_DEST)/git-core"
	(cd "$(shell git --exec-path)" && tar c .) | (cd "$(LINUXSTANDALONE_DEST)"/git-core && tar x)
	install -d "$(LINUXSTANDALONE_DEST)/templates"
	(cd "$(shell git --man-path)"/../git-core/templates && tar c .) | (cd "$(LINUXSTANDALONE_DEST)"/templates && tar x)
	install -d "$(LINUXSTANDALONE_DEST)/magic"
	cp /usr/share/file/magic.mgc "$(LINUXSTANDALONE_DEST)/magic"
	cp /usr/share/i18n -a "$(LINUXSTANDALONE_DEST)"
	
	./Build/LinuxMkLibs "$(LINUXSTANDALONE_DEST)"
	
	$(MAKE) install-mans DESTDIR="$(LINUXSTANDALONE_DEST)"

	cd tmp/git-annex.linux && find . -type f > git-annex.MANIFEST
	cd tmp/git-annex.linux && find . -type l >> git-annex.MANIFEST
	cd tmp && tar c git-annex.linux | gzip -9 --rsyncable > git-annex-standalone-$(shell dpkg --print-architecture).tar.gz

# Run this target to build git-annex-standalone*.deb
debianstandalone: dpkg-buildpackage-F
# Run this target to build git-annex-standalone*.dsc
debianstandalone-dsc: dpkg-buildpackage-S

prep-standalone:
	$(MAKE) undo-standalone
	QUILT_PATCHES=debian/patches QUILT_SERIES=series.standalone-build quilt push -a
	debian/create-standalone-changelog

undo-standalone:
	test -e .git
	git checkout debian/changelog CHANGELOG
	quilt pop -a || true

commit-standalone:
	QUILT_PATCHES=debian/patches QUILT_SERIES=series.standalone-build  quilt refresh

dpkg-buildpackage%: prep-standalone
	umask 022; dpkg-buildpackage -rfakeroot $*
	$(MAKE) undo-standalone

OSXAPP_DEST=tmp/build-dmg/git-annex.app
OSXAPP_BASE=$(OSXAPP_DEST)/Contents/MacOS/bundle
osxapp:
	$(MAKE) git-annex Build/Standalone Build/OSXMkLibs

	# Remove all RPATHs, both because this overloads the linker on
	# OSX Sierra, and to avoid the binary looking in someone's home
	# directory.
	if otool -l git-annex | grep -q "path "; then \
		eval install_name_tool $$(otool -l git-annex | grep "path " | sed 's/.*path /-delete_rpath /' | sed 's/ (.*//') git-annex; \
	fi

	rm -rf "$(OSXAPP_DEST)" "$(OSXAPP_BASE)"
	install -d tmp/build-dmg
	cp -R standalone/osx/git-annex.app "$(OSXAPP_DEST)"

	install -d "$(OSXAPP_BASE)"
	cp git-annex "$(OSXAPP_BASE)"
	strip "$(OSXAPP_BASE)/git-annex"
	ln -sf git-annex "$(OSXAPP_BASE)/git-annex-shell"
	ln -sf git-annex "$(OSXAPP_BASE)/git-remote-tor-annex"
	gzcat standalone/licences.gz > $(OSXAPP_BASE)/LICENSE
	cp $(OSXAPP_BASE)/LICENSE tmp/build-dmg/LICENSE.txt
	cp standalone/trustedkeys.gpg $(OSXAPP_DEST)/Contents/MacOS

	./Build/Standalone $(OSXAPP_BASE)

	(cd "$(shell git --exec-path)" && tar c .) | (cd "$(OSXAPP_BASE)" && tar x)
	install -d "$(OSXAPP_BASE)/templates"
	(cd "$(shell git --man-path)"/../git-core/templates && tar c .) | (cd "$(OSXAPP_BASE)"/templates && tar x)
	install -d "$(OSXAPP_BASE)/magic"
	if [ -e "$(OSX_MAGIC_FILE)" ]; then \
		cp "$(OSX_MAGIC_FILE)" "$(OSXAPP_BASE)/magic/magic.mgc"; \
	else \
		echo "** OSX_MAGIC_FILE not set; not including it" >&2; \
	fi

	# OSX looks in man dir nearby the bin
	$(MAKE) install-mans DESTDIR="$(OSXAPP_BASE)/.." SHAREDIR="" PREFIX=""

	./Build/OSXMkLibs $(OSXAPP_BASE)
	cd $(OSXAPP_DEST) && find . -type f > Contents/MacOS/git-annex.MANIFEST
	cd $(OSXAPP_DEST) && find . -type l >> Contents/MacOS/git-annex.MANIFEST
	rm -f tmp/git-annex.dmg
	hdiutil create -format UDBZ -size 640m -srcfolder tmp/build-dmg \
		-volname git-annex -o tmp/git-annex.dmg

ANDROID_FLAGS?=
# Cross compile for Android.
# Uses https://github.com/neurocyte/ghc-android
android: Build/EvilSplicer
	echo "Running native build, to get TH splices.."
	if [ ! -e dist/setup/setup ]; then $(BUILDER) configure -O0 $(ANDROID_FLAGS) -fAndroidSplice;  fi
	mkdir -p tmp
	if ! $(BUILDER) build --ghc-options=-ddump-splices 2> tmp/dump-splices; then tail tmp/dump-splices >&2; exit 1; fi
	echo "Setting up Android build tree.."
	./Build/EvilSplicer tmp/splices tmp/dump-splices standalone/no-th/evilsplicer-headers.hs
	rsync -az --exclude tmp --exclude dist . tmp/androidtree
# Copy the files with expanded splices to the source tree, but
# only if the existing source file is not newer. (So, if a file
# used to have TH splices but they were removed, it will be newer,
# and not overwritten.)
	cp -uR tmp/splices/* tmp/androidtree || true
# Some additional dependencies needed by the expanded splices.
	sed -i 's/^  Build-Depends: */  Build-Depends: yesod-core, yesod-routes, shakespeare, blaze-markup, file-embed, wai-app-static, wai, unordered-containers, /' tmp/androidtree/git-annex.cabal
# Avoid warnings due to sometimes unused imports added for the splices.
	sed -i 's/GHC-Options: \(.*\)-Wall/GHC-Options: \1-Wall -fno-warn-unused-imports /i' tmp/androidtree/git-annex.cabal
	sed -i 's/Extensions: /Extensions: MagicHash /i' tmp/androidtree/git-annex.cabal
# Cabal cannot cross compile with custom build type, so workaround.
	sed -i 's/Build-type: Custom/Build-type: Simple/' tmp/androidtree/git-annex.cabal
# Build just once, but link repeatedly, for different versions of Android.
	mkdir -p tmp/androidtree/dist/build/git-annex/4.0 tmp/androidtree/dist/build/git-annex/4.3 tmp/androidtree/dist/build/git-annex/5.0
	if [ ! -e tmp/androidtree/dist/setup-config ]; then \
		cd tmp/androidtree && CROSS_COMPILE=Android $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal configure -fAndroid $(ANDROID_FLAGS); \
	fi
	cd tmp/androidtree && $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal build \
		&& mv dist/build/git-annex/git-annex dist/build/git-annex/4.0/git-annex
	cd tmp/androidtree && $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal build \
		--ghc-options=-optl-z --ghc-options=-optlnocopyreloc \
		&& mv dist/build/git-annex/git-annex dist/build/git-annex/4.3/git-annex
	cd tmp/androidtree && $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal build \
		--ghc-options=-optl-z --ghc-options=-optlnocopyreloc --ghc-options=-optl-fPIE --ghc-options=-optl-pie --ghc-options=-optc-fPIE --ghc-options=-optc-pie \

=== standalone/android/Makefile ===
# Cross-compiles utilities needed for git-annex on Android,
# and builds the Android app.

build:
	./buildapk 4
	./buildapk 5

# Targets below are used by buildapk, which sets
# GIT_ANNEX_ANDROID_SOURCETREE

source: $(GIT_ANNEX_ANDROID_SOURCETREE)

$(GIT_ANNEX_ANDROID_SOURCETREE):
	mkdir -p $(GIT_ANNEX_ANDROID_SOURCETREE)
	git clone git://git.debian.org/git/d-i/busybox $(GIT_ANNEX_ANDROID_SOURCETREE)/busybox
	git clone git://git.kernel.org/pub/scm/git/git.git $(GIT_ANNEX_ANDROID_SOURCETREE)/git
	git clone git://git.samba.org/rsync.git $(GIT_ANNEX_ANDROID_SOURCETREE)/rsync
	git clone git://git.gnupg.org/gnupg.git $(GIT_ANNEX_ANDROID_SOURCETREE)/gnupg
	git clone git://git.openssl.org/openssl $(GIT_ANNEX_ANDROID_SOURCETREE)/openssl
	git clone git://github.com/CyanogenMod/android_external_openssh.git $(GIT_ANNEX_ANDROID_SOURCETREE)/openssh
	git clone git://github.com/jackpal/Android-Terminal-Emulator.git $(GIT_ANNEX_ANDROID_SOURCETREE)/term

$(GIT_ANNEX_ANDROID_SOURCETREE)/openssl/build-stamp:
	# This is a version which the openssh below can build with.
	# Newer versions changed something to do with BIGNUM.
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/openssl && git reset --hard 616f71e486d693991b594439c884ec624b32c2d4
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/openssl && CC=$$(which cc) ./Configure android
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/openssl && $(MAKE)
	touch $@

$(GIT_ANNEX_ANDROID_SOURCETREE)/openssh/build-stamp: openssh.patch openssh.config.h
	# This is a known-good version that the patch works with.
	# TODO: Upgrade
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/openssh && git reset --hard 0a8617ed5af2f0248d0e9648e26b224e16ada742
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/openssh && ./configure --host=arm-linux-androideabi --with-ssl-dir=../openssl --without-openssl-header-check
	cat openssh.patch | (cd $(GIT_ANNEX_ANDROID_SOURCETREE)/openssh && patch -p1)
	cp openssh.config.h $(GIT_ANNEX_ANDROID_SOURCETREE)/openssh/config.h
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/openssh && sed -i -e 's/getrrsetbyname.o //' openbsd-compat/Makefile
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/openssh && sed -i -e 's/auth-passwd.o //' Makefile
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/openssh && $(MAKE) ssh ssh-keygen
	touch $@

$(GIT_ANNEX_ANDROID_SOURCETREE)/busybox/build-stamp: busybox_config
	cp busybox_config $(GIT_ANNEX_ANDROID_SOURCETREE)/busybox/.config
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/busybox && git reset --hard a758e3e1e04e7705f5d37b2f27be654cd0e7282c
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/busybox && yes '' | $(MAKE) oldconfig
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/busybox && $(MAKE)
	touch $@
	
$(GIT_ANNEX_ANDROID_SOURCETREE)/git/build-stamp: git.patch
	# This is a known-good version that the patch works with.
	cat git.patch | (cd $(GIT_ANNEX_ANDROID_SOURCETREE)/git && git reset --hard d9c691a759d62cef53a6cc11864a2ef4b0829244 && git am)
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/git && $(MAKE) install NO_OPENSSL=1 NO_GETTEXT=1 NO_GECOS_IN_PWENT=1 NO_GETPASS=1 NO_NSEC=1 NO_MKDTEMP=1 NO_PTHREADS=1 NO_PERL=1 NO_CURL=1 NO_EXPAT=1 NO_TCLTK=1 NO_ICONV=1 HAVE_CLOCK_GETTIME= HAVE_GETDELIM= prefix= DESTDIR=installed-tree
	touch $@

$(GIT_ANNEX_ANDROID_SOURCETREE)/rsync/build-stamp: rsync.patch
	# This is a known-good version that the patch works with.
	cat rsync.patch | (cd $(GIT_ANNEX_ANDROID_SOURCETREE)/rsync && git reset --hard eec26089b1c7bdbb260674480ffe6ece257bca63 && git am)
	cp /usr/share/misc/config.sub /usr/share/misc/config.guess $(GIT_ANNEX_ANDROID_SOURCETREE)/rsync/
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/rsync && ./configure --host=arm-linux-androideabi --disable-locale --disable-iconv-open --disable-iconv --disable-acl-support --disable-xattr-support
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/rsync && $(MAKE)
	touch $@

$(GIT_ANNEX_ANDROID_SOURCETREE)/gnupg/build-stamp:
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/gnupg && git checkout gnupg-1.4.15
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/gnupg && ./autogen.sh
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/gnupg && ./configure --host=arm-linux-androideabi --disable-gnupg-iconv --disable-card-support --disable-agent-support --disable-photo-viewers --disable-keyserver-helpers --disable-nls
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/gnupg; $(MAKE) || true # expected failure in doc build
	touch $@

$(GIT_ANNEX_ANDROID_SOURCETREE)/term/build-stamp: term.patch icons
	# This is a known-good version that the patch works with.
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/term && git reset --hard 3d34b3c42295c215b62e70f3ee696dd664ba08ce
	cat term.patch | (cd $(GIT_ANNEX_ANDROID_SOURCETREE)/term && patch -p1)
	(cd icons && tar c .) | (cd $(GIT_ANNEX_ANDROID_SOURCETREE)/term/res && tar x)
	# This renaming has a purpose. It makes the path to the app's
	# /data directory shorter, which makes ssh connection caching
	# sockets placed there have more space for their filenames.
	# Also, it avoids overlap with the Android Terminal Emulator
	# app, if it's also installed.
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/term && find -name .git -prune -o -type f -print0 | xargs -0 perl -pi -e 's/jackpal/ga/g'
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/term && perl -pi -e 's/Terminal Emulator/Git Annex/g' res/*/strings.xml
	cd $(GIT_ANNEX_ANDROID_SOURCETREE)/term && echo y | tools/update.sh || true
	touch $@

=== debian/changelog ===
git-annex (6.20171124-1) unstable; urgency=medium

  * Package 6.20171124-1

 -- Richard Hartmann <richih@debian.org>  Sun, 26 Nov 2017 12:52:18 +0100

git-annex (6.20171124) unstable; urgency=medium

  * Display progress meter when uploading a key without size information,
    getting the size by statting the content file.
  * Fix build with dns-3.0.

 -- Joey Hess <id@joeyh.name>  Fri, 24 Nov 2017 10:49:36 -0400

git-annex (6.20171109) unstable; urgency=medium

  * Fix export of subdir of a branch.
  * Fix exporting of non-annexed files to external special remotes.
  * unlock, lock: Support --json.
  * When there are multiple urls for a file, still treat it as being present
    in the web when some urls don't work, as long as at least one url does
    work.
  * Makefile improvement for sudo make install.
    Thanks, Eric Siegerman 
  * Makefile improvement for BUILDER=stack, use stack to run ghc.
  * testremote: Test exporttree.
  * Fix directory special remote's cleanup of empty export directories.

 -- Joey Hess <id@joeyh.name>  Thu, 09 Nov 2017 12:21:49 -0400

git-annex (6.20171026) unstable; urgency=medium

  * Windows: Fix reversion that caused the path used to link
    to annexed content to include the drive letter and full path, rather
    than being relative. (`git annex fix` will fix up after this problem).
  * Windows build fixed, and changed to use stack for more reliable build
    environment.
  * Windows: Remove wget from bundle; it needs libraries that are not
    included, and git for windows includes curl which git-annex will use
    instead.
  * Add day to metadata when annex.genmetadata is enabled.
    Thanks, Sean T Parsons
  * stack.yaml: Added nix packages section.
    Thanks, Sean T Parsons 

 -- Joey Hess <id@joeyh.name>  Thu, 26 Oct 2017 13:56:18 -0400

git-annex (6.20171018) unstable; urgency=medium

  * add: Replace work tree file atomically on systems supporting hard
    links. Avoids a window where interrupting an add could result in
    the file being moved into the annex, with no symlink yet created.
  * webdav: Avoid unncessisarily creating the collection at the top
    of the repository when storing files there, since that collection
    is created by initremote.
    (This seems to work around some brokenness of the box.com webdav
    server, which caused uploads to be very slow or sometimes fail.)
  * webdav: Make --debug show all webdav operations.
  * get -J/move -J/copy -J/mirror -J/sync -J: Avoid "transfer already in
    progress" errors when two files use the same key.
  * Konqueror desktop file location changed to one used by plasma 5.
    Thanks, Félix Sipma.
  * Avoid repeated checking that files passed on the command line exist.
  * Fix build with aws-0.17.
  * stack.yaml: Update to lts-9.9.

 -- Joey Hess <id@joeyh.name>  Wed, 18 Oct 2017 15:40:06 -0400

git-annex (6.20171003) unstable; urgency=medium

  * webdav: Improve error message for failed request to include the request
    method and path.
  * metadata: Added --remove-all.
  * Warn when metadata is inherited from a previous version of a file,
    to avoid the user being surprised in cases where that behavior is not
    desired or expected.
  * sync: Added --cleanup, which removes local and remote synced/ branches.
  * external: When the external special remote program crashed, a newline
    could be output, which messed up the expected output for --batch mode.
  * external: Avoid checking EXPORTSUPPORTED for special remotes that are
    not configured to use exports.
  * test: Fix reversion that made it only run inside a git repository.
  * copy, move: Behave same with --fast when sending to remotes located
    on a local disk as when sending to other remotes.
  * Fix process and file descriptor leak that was exposed when
    git-annex was built with ghc 8.2.1. Broke git-annex test on OSX
    due to running out of FDs, and may have also leaked in other situations.
  * info: Improve cleanup of stale transfer info files.

 -- Joey Hess <id@joeyh.name>  Tue, 03 Oct 2017 13:18:15 -0400

git-annex (6.20170925) unstable; urgency=medium

  * git-annex export: New command, can create and efficiently update
    exports of trees to special remotes.
  * Use git-annex initremote with exporttree=yes to set up a special remote
    for use by git-annex export.
  * Implemented export to directory, S3, and webdav special remotes.
  * External special remote protocol extended to support export.
    Developers of external special remotes should consider if export makes
    sense for them and add support.
  * sync, assistant: Update tracking exports.
  * Support building with feed-1.0, while still supporting older versions.
  * init: Display an additional message when it detects a filesystem that
    allows writing to files whose write bit is not set.
  * S3: Allow removing files from IA.
  * webdav: Checking if a non-existent file is present on Box.com
    triggered a bug in its webdav support that generates an infinite series
    of redirects. Deal with such problems by assuming such behavior means
    the file is not present.
  * webdav: Fix lack of url-escaping of filenames. Mostly impacted exports
    of filenames containing eg spaces.
  * webdav: Changed path used on webdav server for temporary files.

 -- Joey Hess <id@joeyh.name>  Mon, 25 Sep 2017 11:13:58 -0400

=== debian/control ===
Source: git-annex
Section: utils
Priority: optional
Build-Depends: 
	debhelper (>= 9),
	ghc (>= 7.4),
	cabal-install,
	libghc-mtl-dev (>= 2.1.1),
	libghc-split-dev,
	libghc-data-default-dev,
	libghc-hslogger-dev,
	libghc-pcre-light-dev,
	libghc-cryptonite-dev,
	libghc-memory-dev,
	libghc-sandi-dev,
	libghc-utf8-string-dev,
	libghc-aws-dev (>= 0.9.2-2~),
	libghc-conduit-dev,
	libghc-resourcet-dev,
	libghc-quickcheck2-dev,
	libghc-monad-control-dev (>= 0.3),
	libghc-transformers-dev,
	libghc-exceptions-dev (>= 0.6),
	libghc-unix-compat-dev,
	libghc-dlist-dev,
	libghc-uuid-dev,
	libghc-aeson-dev,
	libghc-unordered-containers-dev,
	libghc-ifelse-dev,
	libghc-bloomfilter-dev,
	libghc-edit-distance-dev,
	libghc-hinotify-dev [linux-any],
	libghc-stm-dev (>= 2.3),
	libghc-dbus-dev (>= 0.10.7) [linux-any],
	libghc-fdo-notify-dev (>= 0.3) [linux-any],
	libghc-yesod-dev (>= 1.2.6.1)       [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-yesod-core-dev (>= 1.2.19)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-yesod-form-dev (>= 1.3.15)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-yesod-static-dev (>= 1.2.4)  [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-yesod-default-dev (>= 1.2.0) [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-shakespeare-dev (>= 2.0.0)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-clientsession-dev            [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-warp-dev (>= 3.0.0.5)        [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-warp-tls-dev                 [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-wai-dev                      [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-wai-extra-dev                [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
	libghc-dav-dev (>= 1.0),
	libghc-persistent-dev,
	libghc-persistent-template-dev,
	libghc-persistent-sqlite-dev,
	libghc-esqueleto-dev,
	libghc-securemem-dev,
	libghc-byteable-dev,
	libghc-stm-chans-dev,
	libghc-dns-dev,
	libghc-case-insensitive-dev,
	libghc-http-types-dev,
	libghc-http-conduit-dev,
	libghc-blaze-builder-dev,
	libghc-crypto-api-dev,
	libghc-network-multicast-dev,
	libghc-network-info-dev [linux-any kfreebsd-any],
	libghc-safesemaphore-dev,
	libghc-async-dev,
	libghc-monad-logger-dev,
	libghc-free-dev,
	libghc-feed-dev (>= 0.3.9.2),
	libghc-regex-tdfa-dev,
	libghc-tasty-dev (>= 0.7),
	libghc-tasty-hunit-dev,
	libghc-tasty-quickcheck-dev,
	libghc-tasty-rerun-dev,
	libghc-optparse-applicative-dev (>= 0.11.0),
	libghc-cabal-dev,
	libghc-torrent-dev,
	libghc-concurrent-output-dev,
	libghc-disk-free-space-dev,
	libghc-mountpoints-dev,
	libghc-magic-dev,
	libghc-socks-dev,
	lsof [linux-any],
	ikiwiki,
	libimage-magick-perl,
	git (>= 1:1.8.1),
	rsync,
	wget,
	curl,
	openssh-client,
	git-remote-gcrypt (>= 0.20130908-6),
	chrpath,
Maintainer: Richard Hartmann <richih@debian.org>
Standards-Version: 3.9.8
Vcs-Git: git://git.kitenet.net/git-annex
Homepage: http://git-annex.branchable.com/
XS-Testsuite: autopkgtest

Package: git-annex
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
	git (>= 1:1.8.1),
	rsync,
	wget,
	curl,
	openssh-client (>= 1:5.6p1)
Recommends: 
	lsof,
	gnupg,
	bind9-host,
	quvi,
	git-remote-gcrypt (>= 0.20130908-6),
	nocache,
	aria2,
Suggests:
	xdot,
	bup,
	tor,
	magic-wormhole,
	tahoe-lafs,
	libnss-mdns,
	uftp,
Description: manage files with git, without checking their contents into git
 git-annex allows managing files with git, without checking the file
 contents into git. While that may seem paradoxical, it is useful when
 dealing with files larger than git can currently easily handle, whether due
 to limitations in memory, time, or disk space.
 .
 It can store large files in many places, from local hard drives, to a
 large number of cloud storage services, including S3, WebDAV,
 and rsync, with a dozen cloud storage providers usable via plugins.
 Files can be stored encrypted with gpg, so that the cloud storage
 provider cannot see your data. git-annex keeps track of where each file
 is stored, so it knows how many copies are available, and has many
 facilities to ensure your data is preserved.
 .
 git-annex can also be used to keep a folder in sync between computers,
 noticing when files are changed, and automatically committing them
 to git and transferring them to other computers. The git-annex webapp
 makes it easy to set up and use git-annex this way.

## git-annex 6.20180112

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 # Work around https://github.com/haskell/cabal/issues/3524
 # when not linked dynamically to haskell libs
 	@if ! ldd git-annex | grep -q libHS; then \
-		chrpath -d git-annex || echo "** unable to chrpath git-annex; it will be a little bit slower than necessary"; \
+		chrpath -d git-annex || echo "** warning: unable to chrpath git-annex; it will be a little bit slower than necessary"; \
 	fi
 
 git-annex-shell: git-annex
@@ -113,7 +113,7 @@
 clean:
 	if [ "$(BUILDER)" != ./Setup ] && [ "$(BUILDER)" != cabal ]; then $(BUILDER) clean; fi
 	rm -rf tmp dist git-annex $(mans) configure  *.tix .hpc \
-		doc/.ikiwiki html dist tags Build/SysConfig.hs \
+		doc/.ikiwiki html dist tags Build/SysConfig \
 		Setup Build/InstallDesktopFile Build/EvilSplicer \
 		Build/Standalone Build/OSXMkLibs Build/LinuxMkLibs \
 		Build/DistributionUpdate Build/BuildVersion Build/MakeMans \

=== debian/changelog ===
git-annex (6.20180112-2) unstable; urgency=medium

  * Pass --ghc-option=-O1 --ghc-option=-optlo-O2 to cabal-wrapper on armhf
    and armel.  This avoids the build failing due to running out of memory.
    Thanks to Adrian Bunk for help finding the fix.
  * Add quvi->youtube-dl change to changelog for 6.20180112-1.
    Thanks Axel Beckert for noticing the error.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 16 Feb 2018 22:06:55 -0700

git-annex (6.20180112-1) unstable; urgency=medium

  * New upstream release.
    - Update Recommends: quvi -> Recommends: youtube-dl.
  * Adopt package into Debian Haskell Group team maintainership.
    - Move Richard Hartmann to Uploaders.
    - Add myself as an uploader.
    - Point Vcs-* at salsa.
  * Stop copying upstream's changelog entries into the Debian changelog.
    See /usr/share/doc/git-annex/changelog.gz for the upstream changelog.
  * Add gpg-agent to Build-Depends.
    Needed to run the test suite.
  * Restore upstream's (harmless) .gitattributes.
    This means that we can `dgit push{,-source}` without any special options.
  * Update debian/gbp.conf
    - Update packaging branch 'debian' -> 'master'.
    - No longer maintaining an upstream branch.  Instead, invoke `git
      merge` on upstream's release tags directly.  E.g. `git merge
      6.20180112`.
    - Trim some cruft.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 13 Feb 2018 15:02:09 -0700

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 	debhelper (>= 9),
 	ghc (>= 7.4),
 	cabal-install,
+	gpg-agent,
 	libghc-mtl-dev (>= 2.1.1),
 	libghc-split-dev,
 	libghc-data-default-dev,
@@ -25,6 +26,7 @@
 	libghc-dlist-dev,
 	libghc-uuid-dev,
 	libghc-aeson-dev,
+	libghc-tagsoup-dev,
 	libghc-unordered-containers-dev,
 	libghc-ifelse-dev,
 	libghc-bloomfilter-dev,
@@ -37,7 +39,6 @@
 	libghc-yesod-core-dev (>= 1.2.19)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
 	libghc-yesod-form-dev (>= 1.3.15)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
 	libghc-yesod-static-dev (>= 1.2.4)  [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
-	libghc-yesod-default-dev (>= 1.2.0) [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
 	libghc-shakespeare-dev (>= 2.0.0)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
 	libghc-clientsession-dev            [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
 	libghc-warp-dev (>= 3.0.0.5)        [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
@@ -88,9 +89,13 @@
 	openssh-client,
 	git-remote-gcrypt (>= 0.20130908-6),
 	chrpath,
-Maintainer: Richard Hartmann <richih@debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Richard Hartmann <richih@debian.org>,
+ Sean Whitton <spwhitton@spwhitton.name>,
 Standards-Version: 3.9.8
-Vcs-Git: git://git.kitenet.net/git-annex
+Vcs-Git: https://salsa.debian.org/haskell-team/git-annex.git/
+Vcs-Browser: https://salsa.debian.org/haskell-team/git-annex
 Homepage: http://git-annex.branchable.com/
 XS-Testsuite: autopkgtest
 
@@ -107,7 +112,7 @@
 	lsof,
 	gnupg,
 	bind9-host,
-	quvi,
+	youtube-dl,
 	git-remote-gcrypt (>= 0.20130908-6),
 	nocache,
 	aria2,

## git-annex 6.20180227

=== Makefile ===
--- 
+++ 
@@ -34,11 +34,6 @@
 		ln -sf $$(stack path --dist-dir)/build/git-annex/git-annex git-annex; \
 	else \
 		ln -sf dist/build/git-annex/git-annex git-annex; \
-	fi
-# Work around https://github.com/haskell/cabal/issues/3524
-# when not linked dynamically to haskell libs
-	@if ! ldd git-annex | grep -q libHS; then \
-		chrpath -d git-annex || echo "** warning: unable to chrpath git-annex; it will be a little bit slower than necessary"; \
 	fi
 
 git-annex-shell: git-annex
@@ -273,3 +268,13 @@
 		&& mv dist/build/git-annex/git-annex dist/build/git-annex/4.3/git-annex
 	cd tmp/androidtree && $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal build \
 		--ghc-options=-optl-z --ghc-options=-optlnocopyreloc --ghc-options=-optl-fPIE --ghc-options=-optl-pie --ghc-options=-optc-fPIE --ghc-options=-optc-pie \
+		&& mv dist/build/git-annex/git-annex dist/build/git-annex/5.0/git-annex
+
+androidapp:
+	$(MAKE) android
+	$(MAKE) -C standalone/android
+
+# Bypass cabal, and only run the main ghc --make command for a
+# faster development build.
+fast: dist/cabalbuild
+	@sh dist/cabalbuild

=== debian/changelog ===
git-annex (6.20180227-1) unstable; urgency=medium

  * New upstream release.
    - Drop chrpath build-dep
    - Add gnupg build-dep
    - Add libghc-vector-dev build-dep
    - Fix upstream's "Breaks: datalad ..." to use '<<' not '<' relation.
  * Patch upstream's OPTIONS_GHC line out of Test.hs.

    That line is not sufficient to prevent the package build running out
    of memory on arm{el,hf} hosts.  This seems to be because ghc memory
    leaks while compiling the files that come before Test.hs.  By the time
    it reaches Test.hs, it will run out of memory no matter how low the
    optimisation of Test.hs is set.

    By contrast, reducing the optimisation of the whole build on
    arm{hf,el}, as introduced in the previous upload, is sufficient to
    avoid the memory leak breaking the build.  Upstream's OPTIONS_GHC line
    clashes with that, so patch out upstream's OPTIONS_GHC line and rely
    on passing options to cabal-wrapper in d/rules.

  * Source package configuration for dgit-maint-merge(7)
    - add d/source/options
    - add d/source/patch-header.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 04 Mar 2018 14:23:47 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 	debhelper (>= 9),
 	ghc (>= 7.4),
 	cabal-install,
-	gpg-agent,
 	libghc-mtl-dev (>= 2.1.1),
 	libghc-split-dev,
 	libghc-data-default-dev,
@@ -79,6 +78,7 @@
 	libghc-mountpoints-dev,
 	libghc-magic-dev,
 	libghc-socks-dev,
+	libghc-vector-dev,
 	lsof [linux-any],
 	ikiwiki,
 	libimage-magick-perl,
@@ -88,7 +88,8 @@
 	curl,
 	openssh-client,
 	git-remote-gcrypt (>= 0.20130908-6),
-	chrpath,
+	gnupg,
+	gpg-agent,
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Richard Hartmann <richih@debian.org>,
@@ -124,6 +125,7 @@
 	tahoe-lafs,
 	libnss-mdns,
 	uftp,
+Breaks: datalad (<< 0.9.1)
 Description: manage files with git, without checking their contents into git
  git-annex allows managing files with git, without checking the file
  contents into git. While that may seem paradoxical, it is useful when

=== debian/rules ===
#!/usr/bin/make -f

export BUILDER=debian/cabal-wrapper

# -j1 is used for reproducible build
export BUILDEROPTIONS=-j1

# Reduce optimisation on armhf and armel to avoid running out of
# memory.  Passing -O1 to ghc causes it to pass -O2 to llc.  We can't
# simply use ghc's -optlc to pass -O2 to llc, because when we don't
# pass -O1 to ghc, it will pass an -O3 to llc, overriding our -optlc
# attempt.  See definition of runPhase in
# compiler/main/DriverPipeline.hs in ghc source
DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter armel,$(DEB_HOST_ARCH)))
export BUILDEROPTIONS:=$(BUILDEROPTIONS) --ghc-option=-O1 --ghc-option=-optlo-O2
endif
ifneq (,$(filter armhf,$(DEB_HOST_ARCH)))
export BUILDEROPTIONS:=$(BUILDEROPTIONS) --ghc-option=-O1 --ghc-option=-optlo-O2
endif

STANDALONE_BUILD=$(shell grep -qe '^Package: git-annex-standalone' debian/control \
                         && echo 1 || echo 0)

# Do use the changelog's version number, rather than making one up.
export RELEASE_BUILD=1

%:
	dh $@


# Standalone build logic/helpers
ifeq ($(STANDALONE_BUILD),1)

override_dh_auto_build:
	make linuxstandalone GIT_ANNEX_PACKAGE_INSTALL=1

override_dh_auto_install:
	make install-misc install-docs DESTDIR=debian/git-annex-standalone
	# bins are linked into place, as instructed in debian/install and debian/links

override_dh_fixperms:
	dh_fixperms -Xld-linux

# gdb can't do much with a haskell program, so avoid the debug package
override_dh_strip:
	dh_strip --no-ddebs

# Do not add "ldconfig" trigger since all libraries in the standalone build
# are private copies and the trigger activate-noawait trigger may not work
# on elderly distributions (e.g. squeeze)
override_dh_makeshlibs:
	dh_makeshlibs --noscripts

endif

## git-annex 6.20180427

=== Makefile ===
--- 
+++ 
@@ -261,12 +261,12 @@
 	if [ ! -e tmp/androidtree/dist/setup-config ]; then \
 		cd tmp/androidtree && CROSS_COMPILE=Android $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal configure -fAndroid $(ANDROID_FLAGS); \
 	fi
-	cd tmp/androidtree && $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal build \
+	PATH=$(shell standalone/android/toolchainpath 4) cd tmp/androidtree && $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal build \
 		&& mv dist/build/git-annex/git-annex dist/build/git-annex/4.0/git-annex
-	cd tmp/androidtree && $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal build \
+	PATH=$(shell standalone/android/toolchainpath 4) cd tmp/androidtree && $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal build \
 		--ghc-options=-optl-z --ghc-options=-optlnocopyreloc \
 		&& mv dist/build/git-annex/git-annex dist/build/git-annex/4.3/git-annex
-	cd tmp/androidtree && $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal build \
+	PATH=$(shell standalone/android/toolchainpath 5) cd tmp/androidtree && $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal build \
 		--ghc-options=-optl-z --ghc-options=-optlnocopyreloc --ghc-options=-optl-fPIE --ghc-options=-optl-pie --ghc-options=-optc-fPIE --ghc-options=-optc-pie \
 		&& mv dist/build/git-annex/git-annex dist/build/git-annex/5.0/git-annex
 
@@ -274,7 +274,3 @@
 	$(MAKE) android
 	$(MAKE) -C standalone/android
 
-# Bypass cabal, and only run the main ghc --make command for a
-# faster development build.
-fast: dist/cabalbuild
-	@sh dist/cabalbuild

=== debian/changelog ===
git-annex (6.20180427-1) unstable; urgency=medium

  * New upstream release.
    - Drop 'wget' from Depends.
    - Add 'adb' to Suggests.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 28 Apr 2018 22:29:24 -0700

git-annex (6.20180316-1) unstable; urgency=medium

  * New upstream release.
  * Stop passing -optlo-O2 to ghc on arm{hf,el} in d/rules.
    Upstream's git-annex.cabal now handles this.  We still have to pass
    -O1 -- see upstream commit bc1d56bdfd0f513e96c35059d9c32a1bba1539fd.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 20 Mar 2018 20:24:21 -0700

## git-annex 6.20180509

=== debian/changelog ===
git-annex (6.20180509-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 09 May 2018 16:42:22 -0700

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,10 @@
 # compiler/main/DriverPipeline.hs in ghc source
 DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifneq (,$(filter armel,$(DEB_HOST_ARCH)))
-export BUILDEROPTIONS:=$(BUILDEROPTIONS) --ghc-option=-O1 --ghc-option=-optlo-O2
+export BUILDEROPTIONS:=$(BUILDEROPTIONS) --ghc-option=-O1
 endif
 ifneq (,$(filter armhf,$(DEB_HOST_ARCH)))
-export BUILDEROPTIONS:=$(BUILDEROPTIONS) --ghc-option=-O1 --ghc-option=-optlo-O2
+export BUILDEROPTIONS:=$(BUILDEROPTIONS) --ghc-option=-O1
 endif
 
 STANDALONE_BUILD=$(shell grep -qe '^Package: git-annex-standalone' debian/control \

## git-annex 6.20180626

=== debian/changelog ===
git-annex (6.20180626-2) unstable; urgency=high

  * Drop debian/cabal-wrapper, which should no longer be needed
    (Closes: #902499).
    Thanks Ilias Tsitsimpis for noticing that the wrapper is no longer
    needed.
  * urgency=high because CVE fixes have not yet migrated to testing users.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Jun 2018 13:13:16 +0100

git-annex (6.20180626-1) unstable; urgency=high

  * New upstream release.
    - Fixes CVE-2018-10857
    - Fixes CVE-2018-10859
    See upstream CHANGELOG and NEWS for full details.
  * Patch COPYRIGHT to refer to the MIT license by 'Expat'.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 26 Jun 2018 16:54:59 +0100

## git-annex 6.20180719

=== debian/changelog ===
git-annex (6.20180719-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 22 Jul 2018 13:20:48 +0800

## git-annex 6.20180807

=== debian/changelog ===
git-annex (6.20180807-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 10 Aug 2018 13:50:53 +0100

=== debian/control ===
--- 
+++ 
@@ -84,7 +84,6 @@
 	libimage-magick-perl,
 	git (>= 1:1.8.1),
 	rsync,
-	wget,
 	curl,
 	openssh-client,
 	git-remote-gcrypt (>= 0.20130908-6),
@@ -106,7 +105,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	git (>= 1:1.8.1),
 	rsync,
-	wget,
 	curl,
 	openssh-client (>= 1:5.6p1)
 Recommends: 
@@ -120,6 +118,7 @@
 Suggests:
 	xdot,
 	bup,
+	adb,
 	tor,
 	magic-wormhole,
 	tahoe-lafs,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export BUILDER=debian/cabal-wrapper
+export BUILDER=./Setup
 
 # -j1 is used for reproducible build
 export BUILDEROPTIONS=-j1

## git-annex 6.20180913

=== Makefile ===
--- 
+++ 
@@ -108,7 +108,7 @@
 clean:
 	if [ "$(BUILDER)" != ./Setup ] && [ "$(BUILDER)" != cabal ]; then $(BUILDER) clean; fi
 	rm -rf tmp dist git-annex $(mans) configure  *.tix .hpc \
-		doc/.ikiwiki html dist tags Build/SysConfig \
+		doc/.ikiwiki html dist tags Build/SysConfig Build/Version \
 		Setup Build/InstallDesktopFile Build/EvilSplicer \
 		Build/Standalone Build/OSXMkLibs Build/LinuxMkLibs \
 		Build/DistributionUpdate Build/BuildVersion Build/MakeMans \
@@ -160,6 +160,7 @@
 	
 	$(MAKE) install-mans DESTDIR="$(LINUXSTANDALONE_DEST)"
 
+	sha1sum git-annex > "$(LINUXSTANDALONE_DEST)/buildid"
 	cd tmp/git-annex.linux && find . -type f > git-annex.MANIFEST
 	cd tmp/git-annex.linux && find . -type l >> git-annex.MANIFEST
 	cd tmp && tar c git-annex.linux | gzip -9 --rsyncable > git-annex-standalone-$(shell dpkg --print-architecture).tar.gz
@@ -271,6 +272,3 @@
 		&& mv dist/build/git-annex/git-annex dist/build/git-annex/5.0/git-annex
 
 androidapp:
-	$(MAKE) android
-	$(MAKE) -C standalone/android
-

=== debian/changelog ===
git-annex (6.20180913-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 15 Sep 2018 21:41:05 -0700

git-annex (6.20180913-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 13 Sep 2018 16:55:07 -0700

git-annex (6.20180807-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 24 Aug 2018 06:56:11 -0700

git-annex (6.20180626-1~bpo9+1) stretch-backports; urgency=high

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 26 Jun 2018 16:56:47 +0100

git-annex (6.20180509-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Apply upstream commit 86958fda5d4039621cb632b2b53c7b0628d61152 to fix
    build with older http-client.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 10 May 2018 10:32:50 -0700

git-annex (6.20180427-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 03 May 2018 09:41:45 -0700

git-annex (6.20180316-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 26 Mar 2018 10:32:57 -0700

git-annex (6.20180227-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 10 Mar 2018 08:31:47 -0700

git-annex (6.20180112-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 23 Feb 2018 09:08:21 -0700

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	libghc-pcre-light-dev,
 	libghc-cryptonite-dev,
 	libghc-memory-dev,
+	libghc-attoparsec-dev,
 	libghc-sandi-dev,
 	libghc-utf8-string-dev,
 	libghc-aws-dev (>= 0.9.2-2~),
@@ -52,7 +53,6 @@
 	libghc-securemem-dev,
 	libghc-byteable-dev,
 	libghc-stm-chans-dev,
-	libghc-dns-dev,
 	libghc-case-insensitive-dev,
 	libghc-http-types-dev,
 	libghc-http-conduit-dev,

## git-annex 7.20181211

=== debian/changelog ===
git-annex (7.20181211-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Revert changes in 7.20181121-2 upload in order to build against stretch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 27 Dec 2018 10:08:14 +0000

git-annex (7.20181211-2) unstable; urgency=medium

  * Disable some flaky tests.
    See https://git-annex.branchable.com/todo/test_suite_failures_since_7.20181121/

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 18 Dec 2018 21:54:07 +0000

git-annex (7.20181211-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 12 Dec 2018 14:00:11 -0700

git-annex (7.20181205-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 05 Dec 2018 14:52:08 -0700

git-annex (7.20181121-2) unstable; urgency=medium

  * Drop build-dep on haskell-stm.
  * Build-dep on ghc (>= 8.4.3), with which haskell-stm is now bundled.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 04 Dec 2018 21:25:28 -0700

git-annex (7.20181121-1) unstable; urgency=medium

  * New upstream release.
  * In d/rules, set DEB_HOST_ARCH using the ?= assignment operator.
    See description of Lintian tag debian-rules-sets-dpkg-architecture-variable.
  * Add Lintian overrides:
    - debian-copyright-is-symlink
    - debian-news-entry-has-unknown-version 7.20181031.
  * Move and trim text under "License: Expat or GPL-2" to its own
    "License: GPL-2" stanza to avoid duplicate license definitions in
    COPYRIGHT.
  * Declare compliance with Debian Policy 4.2.1.
    Unfortunately, however, the package does not yet build reproducibly.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 21 Nov 2018 20:38:10 -0700

git-annex (7.20181105-1) unstable; urgency=medium

  * New upstream release (Closes: #909023, #909435).
  * Demote youtube-dl from Recommends to Suggests (Closes: #909434).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 05 Nov 2018 13:01:08 -0700

## git-annex 7.20190122

=== debian/changelog ===
git-annex (7.20190122-2) unstable; urgency=medium

  * Add 'flaky' restriction to d/tests/control (Closes: #920549).
    Thanks to Paul Gevers for the suggestion.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 26 Jan 2019 21:30:24 -0700

git-annex (7.20190122-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 22 Jan 2019 11:24:41 -0700
